ServerEvents.recipes(event => {
    
    event.shaped( 
        Item.of('mekanism:metallurgic_infuser'),
        [ 
             'ACA',
             'DBD',
             'ACA'   ], 

        {  
          A: 'minecraft:redstone',
          B: 'minecraft:gold_ingot',
          C: 'minecraft:blaze_powder', 
          D: 'mekanism:ingot_osmium'
         }
     )
,
    event.shaped(   
        Item.of('ad_astra:nasa_workbench'),
    [
        'DCD',
        'BAB',
        'DED'
    ],
    {
        A:'minecraft:crafting_table',
        B:'#forge:plates/steel',
        C:'minecraft:redstone_torch',
        D:'#forge:rods/iron',
        E:'minecraft:end_stone'
    } )

    event.remove({id:'mekanism:metallurgic_infuser'})
    event.remove({id:'ad_astra:nasa_workbench'})

event.shaped(   
        Item.of('tacz:gun_smith_table'),
    [
        'AAA',
        'BCB',
        'D D'
    ],
    {
        A:'#minecraft:logs',
        B:'minecraft:netherite_ingot',
        C:'mekanism:ultimate_control_circuit',
        D:'minecraft:iron_ingot',
       
    } )

    event.remove({id:'tacz:gun_smith_table'})

 }
)